Subject: Re: [PATCH v2 2/4] doc: git-pull: clarify options for integrating remote branch

From: Junio C Hamano <[email-masked]>
Date: Thu, 09 Oct 2025 15:41:01 -0700

"Julia Evans" <[email-masked]> writes:

> My assumption was that the word "integrate" was meant to be a generic
> way to communicate "combine the changes in the two branches in
> some unspecified way", and that's how I was using it.

It is how I was using it, too.

> I'm not sure what
> you mean when you say "integrate" (is it "merge"?).

Not limited to "merge", but I view it more as between two parties,
one side supplies changes while the other side serves as a base.  A
merge looks as if the changes of a side branch gets incorporated
into the trunk.  A rebase looks as if the changes you have created
gets incorporated into the trunk by replaying them onto the trunk.

> 1. Try to find a different word that communicates "combine the two
>    branches in a way that you have to specify". I'm not sure how
>    likely this is to succeed.

I am not particularly good at finding verbs, sorry.

> 2. Instead of using the word "integrate", instead always say something
>    like "merge or rebase". I tried this but I found it a bit unwieldy, and
>    I think it might also be confusing for users who aren't familiar with
>    both merge and rebase, they might worry "do I need to understand
>    rebase to use `git pull`?", when of course you don't.

Very true.